## libio-stringy-perl 2.113

=== debian/changelog ===
libio-stringy-perl (2.113-2) unstable; urgency=medium

  * Team upload.

  * Update d/copyright to have Erik Dorfman's name in full. 

 -- Andrew Ruthven <andrew@etc.gen.nz>  Thu, 01 Aug 2024 09:47:54 +1200

libio-stringy-perl (2.113-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Andrew Ruthven ]
  * New upstream release.
  * Update d/watch to match upstream change to case used in package name.
  * Remove patches no longer needed:
    - 02_over.diff
    - 03_item.diff
  * Rename source package to libio-stringy-perl.
  * Add more records to d/upstream/metadata.
  * Update d/copyright.

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.7.0.
  * debian/rules: drop override_dh_clean.
  * Set Rules-Requires-Root: no.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 13 Jul 2024 12:19:00 +1200

io-stringy (2.111-3) unstable; urgency=medium

  [ Nick Morrott ]
  * Take over for the Debian Perl Group, as agreed with Bart
  * d/compat:
    - bump debhelper compatibility level to 11
  * d/control:
    - declare compliance with Debian Policy 4.3.0
    - bump debhelper compatibility level to 11
    - add Vcs-Git and Vcs-Browser fields
    - update Homepage field to metacpan URL
    - add autopkgtest support
    - refresh short/long package descriptions
  * d/copyright:
    - replace with copyright details in 1.0 format
  * d/docs:
    - drop README
  * d/libio-stringy-perl.examples
    - install examples
  * d/patches:
    - refresh 02_over.diff
    - refresh 03_item.diff
  * d/rules:
    - remove trailing whitespace
  * d/u/metadata:
    - add upstream metadata
  * d/watch:
    - migrate to track metacpan releases

  [ gregor herrmann ]
  * autopkgtest: enable use.t by adding debian/tests/pkg-perl/use-name
    with a more or less random module from the distribution to test.

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 28 Feb 2019 04:35:31 +0000

io-stringy (2.111-2) unstable; urgency=medium

  * debian/links: Removed. Closes: #833598.

 -- Bart Martens <bartm@debian.org>  Sun, 07 Aug 2016 07:51:06 +0200

io-stringy (2.111-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/01_close.diff: Removed obsolete patch.
  * debian/patches/02_over.diff: Added "=back".
  * debian/install, debian/doc-base: Removed.

 -- Bart Martens <bartm@debian.org>  Fri, 05 Aug 2016 10:35:20 +0200

io-stringy (2.110-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Fixed debhelper-but-no-misc-depends.
  * debian/patches/02_over.diff: Fixes manpage-has-errors-from-pod2man.

 -- Bart Martens <bartm@debian.org>  Sun, 18 Sep 2011 06:09:04 +0200

io-stringy (2.110-4) unstable; urgency=low

  * debian/control: Edited short description.  Closes: #454767.
  * debian/control: Standards-Version, Homepage.
  * debian/doc-base: Fixed doc-base-unknown-section.

 -- Bart Martens <bartm@debian.org>  Sun, 29 Jun 2008 19:15:21 +0200

io-stringy (2.110-3) unstable; urgency=low

  * debian/rules: Now using cdbs.
  * debian/copyright: Added missing information.

 -- Bart Martens <bartm@debian.org>  Sun, 25 Nov 2007 12:12:44 +0100

io-stringy (2.110-2) unstable; urgency=medium

  * New maintainer.  Closes: #399676.
  * lib/IO/AtomicFile.pm: Check "close" exit code.  Closes: #409947.  Patch by
    Eduardo Pérez Ureta <edpeur@gmail.com>, thanks.  RC bug, urgency=medium.
  * debian/control: Added homepage to description, updated standards version,
    and fixed "build-depends-indep-should-be-build-depends debhelper".
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Tue,  6 Feb 2007 20:01:04 +0100

io-stringy (2.110-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Feb 2005 17:13:13 +0100

io-stringy (2.109-3) unstable; urgency=low

  * Return 1 from InnerFile's seek routine (closes: #280866).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Nov 2004 20:12:21 +0100

io-stringy (2.109-2) unstable; urgency=low

  * New maintainer.
  * Hijacked package, as proposed
    in http://lists.debian.org/debian-devel/2004/08/msg01041.html
  * Add watch file.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Oct 2004 13:13:12 +0200

io-stringy (2.109-1) unstable; urgency=low

  * New upstream release
  * Remove Scalar.pm.html from /usr/share/perl5/IO,
  Closes: #171966
  * Merge NMU changes,
  Closes: #213573

 -- Stephen Zander <gibreel@debian.org>  Mon,  2 Feb 2004 22:37:41 -0800

io-stringy (2.108-1.1) unstable; urgency=low

  * Non Maintainer Upload by Gunnar Wolf <gwolf@debian.org>
  * Adds the missing information to debian/copyright (Closes: #213573)
  * Bumped up standars-version to 3.6.1
  * Moved to section Perl

 -- Gunnar Wolf <gwolf@debian.org>  Wed,  5 Nov 2003 10:04:46 -0600

io-stringy (2.108-1) unstable; urgency=low

  * New upstream version, Closes: #108356
  * Fix error in manpage, Closes: #109330

 -- Stephen Zander <gibreel@debian.org>  Fri, 21 Sep 2001 12:55:28 -0700

io-stringy (1.220-1) unstable; urgency=low

  * New upstream version
  * Updated for policy 3.5.1 and the new perl packaging policy

 -- Stephen Zander <gibreel@debian.org>  Wed, 25 Apr 2001 00:50:49 -0700

io-stringy (1.216-1) unstable; urgency=low

  * New upstream version.
  * Remove .dhelp file on purge, Closes: #69563

 -- Stephen Zander <gibreel@debian.org>  Tue, 12 Dec 2000 22:11:05 -0800

io-stringy (1.215-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Zander <gibreel@debian.org>  Wed, 20 Sep 2000 17:50:37 -0700

io-stringy (1.213-1) unstable; urgency=low

  * New upstream source, Closes: #66026

 -- Stephen Zander <gibreel@debian.org>  Sat, 19 Aug 2000 16:01:02 -0700

io-stringy (1.210-1) unstable; urgency=low


