=== debian/control ===
Source: libio-stringy-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libio-stringy-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libio-stringy-perl.git
Homepage: https://metacpan.org/release/IO-Stringy
Rules-Requires-Root: no

Package: libio-stringy-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: modules for I/O on in-core objects (strings/arrays)
 IO::Stringy primarily provides modules for performing both traditional and
 object-oriented I/O on things *other* than normal filehandles; in particular,
 IO::Scalar, IO::ScalarArray, and IO::Lines.
 .
 The libio-stringy-perl package provides the following modules:
 .
  * IO::AtomicFile  - write a file which is updated atomically
  * IO::InnerFile   - define a file inside another file
  * IO::Lines       - IO:: interface for reading/writing an array of lines
  * IO::Scalar      - IO:: interface for reading/writing a scalar
  * IO::ScalarArray - IO:: interface for reading/writing an array of scalars
  * IO::Stringy     - I/O on in-core objects like strings and arrays
  * IO::Wrap        - wrap raw filehandles in IO::Handle interface
  * IO::WrapTie     - wrap tieable objects in IO::Handle interface
