=== debian/watch ===
version=4
https://metacpan.org/release/IO-Stringy   .*/IO-Stringy-v?@ANY_VERSION@@ARCHIVE_EXT@$
